Subject: Re: SCCS
From: [email-masked] ("Henrik Geleff")

25 May 1997 07:28:14 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>, "Kevin Hughes" <[email-masked]>
Original-Cc: <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

There is a problem with a free SCCS, I tried to make one but I could not
find a description of the SCCS file format which did not come from AT&T or
if it looked as a independent source, they contained one or more paragraphs
which was word to word the same as the AT&T description. It is in my
opinion impossible to write a copylefted SCCS as it will always deal with
the format of the SCCS file which is copyrighted by AT&T. 

The task of writing a clone of SCCS should be pretty easy, but it will be a
clone and not white-roomed-code and therefore not copy-left-able.

FSF by the way is about developping tools that are equivalent or better
than the comercial tools; for version control the tool is called RCS, and
it is better than SCCS and is even used as an engine in CVS and MKS Source
Integrity to mention two.

I do not think the world needs a SCCS clone as free software, but if
anybody disagrees I could provide my design document, which never was coded
as I came across RCS and did not see the need.

Regards

Henrik Geleff

----------
> From: Jason Zions <[email-masked]>
> To: Kevin Hughes <[email-masked]>
> Cc: [email-masked]
> Subject: Re: SCCS
> Date: 22 May 1997 19:27
> 
> There is no public-domain SCCS code that I'm aware of; it's all under
> AT&T copyright. If someone has an SCCS clone source code base that's
> truly free or copylefted, I'd love to hear about it as well.
> 
> Jason
> 
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".